Package Gnumed :: Package wxpython :: Module gmTerryGuiParts :: Class cDividerCaption |
[frames] | no frames]

# Class cDividerCaption

source code

    wx.Panel --+
               |
              cDividerCaption

This panel consists of one or more headings on a horizontal panel and is

used to divide/head sections of the screenel There are user defined foreground and background colours. The captions are centred in the available space. The default colours are purple panel with white bold text words (sounds yuk doesn't it - but I like it and it works well!!!!!

Instance Methods
__init__(self, parent, id, title) | source code
SetCaptionBackgroundColor(self, bg_red, bg_blue, bg_green) | source code
SetCaptionForegroundColor(self, fg_red, fg_blue, fg_green) | source code